.modal {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 50%;

  background-color: white;
  padding: 6rem;
  border-radius: 5px;
  box-shadow: 0 3rem 5rem rgba(0, 0, 0, 0.3);
  z-index: 10;

  display: flex;
  flex-direction: column;
  gap: 4.4rem;
  align-items: center;
  justify-content: center;
  color: #374957;
}

.modal__project__heading {
  font-size: 4rem;
}

.modal__project__label {
  font-size: 1.6rem;
}

.modal__project__input {
  margin-top: 1rem;
  border: 0px solid;
  padding: 1rem 1rem;
  border: 0.5px solid grey;
  border-radius: 0.6rem;
}

.modal__project__form {
  display: flex;
  flex-direction: column;
  gap: 3rem;
  align-items: flex-start;
}

.btn--add-project {
  align-self: center;
  border: none;
  background-color: lightskyblue;
  padding: 1rem 3rem;
  border-radius: 0.6rem;
}

.overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.6);
  filter: blur(3px);
  z-index: 5;
}

/* .add-task-window {
  display: none;
} */

.task__header {
  display: flex;
  display: flex;
  padding: 9.587px 0px;
  justify-content: space-between;
  align-items: center;
  align-self: stretch;
  border-bottom: 1.065px solid #eeeff0;
}

.task--modal {
  width: 80%;
  align-items: flex-start;
  border-radius: 1rem;
  padding: 2rem;
}

.task__location {
  color: #000;
  font-size: 1.7rem;
}

.task__close {
  display: flex;
  gap: 1.7rem;
}

.task__date {
  color: #949494;
  font-size: 1.7rem;
}

.task__modal__content {
  display: grid;
  grid-template-columns: 2fr 1fr;
  gap: 2.3rem;
}

.task__modal__main {
  display: flex;
  width: 105rem;
  flex-direction: column;
  align-items: flex-start;
  gap: 4rem;
}

.task__modal__main__header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  align-self: stretch;
}

.task__modal__main__body {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 2.3rem;
  align-self: stretch;
}

.task__modal__main__body__header {
  padding-bottom: 2.3rem;
  border-bottom: 0.5px solid #ccd2e3;
  width: 100%;
  display: flex;
  align-items: center;
  gap: 1rem;
}

.task__modal__status {
  display: flex;
  padding: 3px 10px;
  align-items: center;
  gap: 1rem;
  border-radius: 8px;
  background-color: #ffe9d1; /* This property should be in the js dynamic */
  position: relative;
}

.task__modal__status__text {
  font-size: 1.8rem;
}

.status__window {
  position: absolute;
}

.status__modal {
  position: absolute;
  top: 3rem;
  left: 0;
  z-index: 20;

  display: flex;
  width: 15.4rem;
  padding: 1.3rem 1.1rem;
  flex-direction: column;
  align-items: flex-start;
  gap: 2rem;

  border-radius: 6px;
  background: #fff;
  box-shadow: 0px 2px 15px 0px rgba(0, 0, 0, 0.34);
}

.status__modal__el {
  display: flex;
  padding: 4px 0px;
  align-items: center;
  align-self: stretch;
  font-size: 1.8rem;
}

.status__overlay {
  position: absolute;
  z-index: 15;
  width: 100vw;
  height: 100vh;
  transform: translate(-10%, -30%);
}

.task__modal__priority {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 8px;
  align-self: stretch;
}

.task__modal__priority__text {
  color: #666;
  font-size: 1.4rem;
  line-height: 128.571%;
}

.task__modal__main__body__header__task-name {
  font-size: 3rem;
  font-weight: 500;
  width: 100%;
  border: none;
}

.task__modal__main__body__header__task-description__container {
  width: 100%;
  display: flex;
  height: 14rem;
  padding: 1.6rem 1.8rem;
  align-items: flex-start;
  gap: 0.6rem;
  border-radius: 1rem;
  border: 0.2px solid #ccd2e3;
  background: #fcfcff;
}

.task__modal__main__body__header__task-description {
  width: 100%;
  height: 100%;
  background-color: inherit;
  border: none;
  resize: none;
}

.task__modal__attachement {
  display: flex;
  padding: 1.7rem 2.1rem;
  flex-direction: column;
  align-items: flex-start;
  gap: 1.3rem;
  flex: 1 0 0;
  align-self: stretch;
  border-radius: 8px;
  border: 0.3px solid #ccd2e3;
}

.task__modal__attachement__text {
  color: #273b4a;
  font-size: 1.5rem;
  font-weight: 500;
}

.task__modal__attachement__input {
  padding: 4rem 0;
  align-self: center;
  color: #c4c4c4;
  font-size: 1.2782rem;
  font-style: italic;
  display: flex;
  align-items: center;
}

.task__modal__attachement__input span {
  color: #0ba5ec;
}

.task__modal__attachement__input input {
  /* display: none; */
}

.task__modal__activity {
  display: flex;
  padding: 1.6rem 1rem;
  flex-direction: column;
  justify-content: space-between;
  align-items: flex-start;
  border-radius: 6.391px;
  border: 0.213px solid #ccd2e3;
  background: #f8f9ff;
}

.task__modal__activity__header {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 2rem;
}

.task__modal__activity__heading {
  font-size: 2.1rem;
  font-weight: 500;
  line-height: 78.648%;
}

.task__modal__activity__content {
  display: flex;
  align-items: center;
  gap: 0.9rem;
}

.task__modal__activity__content__text {
  font-size: 1.3rem;
  font-weight: 300;
  line-height: 131.079%;
}

.task__modal__activity__form {
  display: flex;
  height: 4rem;
  padding: 9.308px;
  justify-content: space-between;
  align-items: center;
  border-radius: 9.308px;
  border: 0.213px solid #ccd2e3;
  background: #fff;
  width: stretch;
  gap: 1rem;
}

.task__modal__activity__form__input {
  border: none;
  width: stretch;
}

.task__modal__activity__form__input::placeholder {
  color: #91939a;
  font-size: 1.5rem;
}

.btn--comment {
  display: flex;
  height: 2.5rem;
  padding: 0.9rem;
  justify-content: center;
  align-items: center;
  gap: 9rem;
  border-radius: 9.308px;
  background: #0ba5ec;
  color: #fff;
  font-size: 1.3rem;
}

.overlay--task {
  filter: blur(0px);
  background-color: rgba(0, 0, 0, 0.4);
}
